Package org.eclipse.microprofile.rest.client.tck.providers

# Class TestParamConverter

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.TestParamConverter

All Implemented Interfaces:
  `jakarta.ws.rs.ext.ParamConverter<Widget>`

public class TestParamConverter extends Object implements jakarta.ws.rs.ext.ParamConverter<Widget>

## Nested Class Summary

## Nested classes/interfaces inherited from interface jakarta.ws.rs.ext.ParamConverter

`jakarta.ws.rs.ext.ParamConverter.Lazy`

## Constructor Summary

Constructors
Constructor
Description
`TestParamConverter()`

## Method Summary

Modifier and Type
Method
Description
`Widget`
`fromString(String s)`
`String`
`toString(Widget w)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestParamConverter

public TestParamConverter()

## Method Details

### fromString

public Widget fromString(String s)

Specified by:
  `fromString` in interface `jakarta.ws.rs.ext.ParamConverter<Widget>`

### toString

public String toString(Widget w)

Specified by:
  `toString` in interface `jakarta.ws.rs.ext.ParamConverter<Widget>`